<#import "/spring.ftl" as spring />

</<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>regiter</title>
    <link href="/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
<br>
<br>
<br>
<br>
<br>
<div class="container">
    <div class="row">
        <div class="col"></div>
        <div class="col">
            <form action="/register" method="post">
                <div class="mb-3">
                    Enter name:
                    <@spring.formInput "regForm.name" "class=\"form-control\"
                id=\"exampleInputName\" placeholder=\"name\"" />
                    <@spring.showErrors "<br>"/>
                </div>
                <div class="mb-3">
                    Enter e-mail:
                    <@spring.formInput "regForm.email" "class=\"form-control\"
                id=\"exampleInputEmail\" placeholder=\"email\"" "email" />
                    <@spring.showErrors "<br>"/>
                </div>
                <div class="mb-3">
                    Password:
                    <@spring.formInput "regForm.password" "class=\"form-control\"
                id=\"exampleInputPassword\" placeholder=\"password\"" "password" />
                    <@spring.showErrors "<br>"/>
                </div>
                <button type="submit" class="btn btn-primary">REGISTER</button>
            </form>
        </div>
        <div class="col"></div>
    </div>
</div>
<script src="/js/bootstrap.min.js"></script>
</body>
</html>